%Solve for Steklov eigen (u,lambda)$ such that
%-\delta u+ga^2*u=0 in Omega, du/dn=lambda*u on D\Omega, ga>=0. 
global ga xb yb xm ym bel nbp aa L_da U_da x_t y_t n_t n_p;
global da e_d_order e_v_order;

%define the boundary
disp('To specify the problem: -\delta u+ga^2*u=0, du/dn=lambda*u');
ga=input('input the value of ga=');
disp('To specify the geometry of a domain');
geom=input('type 0->drop-shape, 1->ellipse, 2->rectangle, 3->dumbbell, 4->polygon-> ');
[xb,yb,xm,ym,bel,nbp]=bdary(geom);
ans=input('Plot the boundary? 1=yes,0=no-->');
if ans==1
      plot(xb,yb,'r','LineWidth',2);
end
disp('If the boundary is correct, please hit any key to continue');
pause;
disp('working...');
[aa,da]=get_aa_da;
[L_da,U_da]=lu(da);    %LU factorization

disp('Generating mesh for the domain...');
      x=xb'; y=yb';
      x(nbp+1)=[]; y(nbp+1)=[];

      pdepoly(x,y);     %Matlab-6 needs x and y to be rows x' and y'

%then export boundary data g and b & mesh data p e t
disp('Please export the boundary data {g b} from the PDE Toolbox window by');
disp('Click "\partial\Omega", then click "Boundary", select "Export Decomposed Geometry, BSs"')
disp('When ready, hit any key to continue');

pause;

[p,e,t]=initmesh(g); %Generate the mesh for graphing only
%[p,e,t]=refinemesh(g,p,e,t);     %if you need finer mesh for the plot
pdemesh(p,e,t);  %Plot the mesh

n_t=size(t,2);  %n_t=total number of triangles, n_p - points
n_p=size(p,2);

%generate midpoint of each trangle
x_t=(p(1,t(1,:))+p(1,t(2,:))+p(1,t(3,:)))/3.;
y_t=(p(2,t(1,:))+p(2,t(2,:))+p(2,t(3,:)))/3.;


disp('The problem is set.  Type "solve" to continue');
